## kde-baseapps 4.13.3

=== konqueror/CMakeLists.txt ===

add_definitions(-D_LARGEFILE64_SOURCE )

if(Q_WS_X11)
  find_package(X11 REQUIRED) # both subdirs require the X11 libs
endif(Q_WS_X11)

add_subdirectory( src )
add_subdirectory( client )

add_subdirectory( about )
add_subdirectory( pics )
add_subdirectory( sidebar )
add_subdirectory( preloader )
add_subdirectory( settings )

########### install files ###############
install( PROGRAMS
   kfmclient.desktop kfmclient_dir.desktop kfmclient_html.desktop kfmclient_war.desktop
   konqbrowser.desktop konquerorsu.desktop Home.desktop
   DESTINATION  ${XDG_APPS_INSTALL_DIR} )

# Make sure kfmclient can find konqueror.desktop even if people remove it from the K menu (#62242)
# This is why konqueror.desktop is installed into services.
install( FILES konqueror.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

install(FILES profile_webbrowsing.desktop    DESTINATION ${DATA_INSTALL_DIR}/konqueror/profiles/ RENAME webbrowsing)
install(FILES profile_filemanagement.desktop DESTINATION ${DATA_INSTALL_DIR}/konqueror/profiles/ RENAME filemanagement)
install(FILES profile_tabbedbrowsing.desktop DESTINATION ${DATA_INSTALL_DIR}/konqueror/profiles/ RENAME tabbedbrowsing)
install(FILES profile_kde_devel.desktop      DESTINATION ${DATA_INSTALL_DIR}/konqueror/profiles/ RENAME kde_devel)

if(NOT WIN32)
   install(FILES profile_midnightcommander.desktop DESTINATION ${DATA_INSTALL_DIR}/konqueror/profiles/ RENAME midnightcommander)
endif(NOT WIN32)

=== plasma/CMakeLists.txt ===
add_subdirectory(applets)

=== dolphin/src/CMakeLists.txt ===
macro_optional_find_package(Baloo)
set_package_properties(Baloo PROPERTIES DESCRIPTION "Baloo Core libraries"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "For adding desktop-wide search and tagging support to dolphin"
                      )

macro_optional_find_package(BalooWidgets)
set_package_properties(BalooWidgets PROPERTIES DESCRIPTION "Baloos Widgets"
                       URL "http://www.kde.org"
                       TYPE OPTIONAL
                      )

macro_optional_find_package(KFileMetaData)
set_package_properties(KFileMetaData PROPERTIES
                       URL "https://projects.kde.org/kfilemetadata"
                       TYPE OPTIONAL
                       PURPOSE "For accessing file metadata labels"
                      )

if (Baloo_FOUND AND BalooWidgets_FOUND AND KFileMetaData_FOUND)
    set(HAVE_BALOO TRUE)
endif()

configure_file(config-baloo.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-baloo.h )

macro_bool_to_01(X11_Xrender_FOUND HAVE_XRENDER)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h )

include_directories( ${KACTIVITIES_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR} )

if(HAVE_BALOO)
  include_directories(${BALOO_INCLUDE_DIR} ${BALOO_WIDGETS_INCLUDE_DIR} ${KFILEMETADATA_INCLUDE_DIR})
endif()

add_subdirectory(tests)

########### next target ###############

set(dolphinprivate_LIB_SRCS
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistviewaccessible.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditem.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/kstandarditemmodel.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodeldirlister.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/additionalinfodialog.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/renamedialog.cpp
    views/tooltips/filemetadatatooltip.cpp
    views/tooltips/tooltipmanager.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    dolphinremoveaction.cpp
    dolphinnewfilemenu.cpp
)

if(HAVE_BALOO)
    set(dolphinprivate_LIB_SRCS
        ${dolphinprivate_LIB_SRCS}
        kitemviews/private/kbaloorolesprovider.cpp
    )
endif()

kde4_add_kcfg_files(dolphinprivate_LIB_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_library(dolphinprivate SHARED ${dolphinprivate_LIB_SRCS})

target_link_libraries(
    dolphinprivate
    ${KDE4_KFILE_LIBS}
    konq
    ${KDE4_KNEWSTUFF3_LIBS}
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate
        ${BALOO_LIBRARIES}
        ${BALOO_WIDGETS_LIBRARY}
        ${KFILEMETADATA_LIBRARY}
    )
endif()

if(X11_Xrender_FOUND)
    target_link_libraries(dolphinprivate ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)

target_link_libraries(dolphinprivate ${KDE4_PLASMA_LIBS})

set_target_properties(dolphinprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS dolphinprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(dolphinpart_SRCS
   dolphinpart.cpp
)

# Add dolphinpart_ext.cpp conditionally, only with KDE > 4.9.1.
if (${KDE_VERSION} VERSION_GREATER "4.9.1")
set(dolphinpart_SRCS
    ${dolphinpart_SRCS}
    dolphinpart_ext.cpp)
endif (${KDE_VERSION} VERSION_GREATER "4.9.1")

kde4_add_plugin(dolphinpart ${dolphinpart_SRCS})

target_link_libraries(dolphinpart dolphinprivate konq ${KDE4_KPARTS_LIBS} ${KDE4_KFILE_LIBS})

install(TARGETS dolphinpart DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES dolphinpart.rc DESTINATION ${DATA_INSTALL_DIR}/dolphinpart)
install(FILES dolphinpart.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES views/versioncontrol/fileviewversioncontrolplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

##########################################

set(dolphin_SRCS
    dolphinapplication.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    filterbar/filterbar.cpp
    main.cpp
    panels/information/filemetadataconfigurationdialog.cpp
    panels/information/informationpanel.cpp
    panels/information/informationpanelcontent.cpp
    panels/information/pixmapviewer.cpp
    panels/information/phononwidget.cpp
    panels/places/placespanel.cpp
    panels/places/placesitem.cpp
    panels/places/placesitemeditdialog.cpp
    panels/places/placesitemlistgroupheader.cpp
    panels/places/placesitemlistwidget.cpp
    panels/places/placesitemmodel.cpp
    panels/places/placesitemsignalhandler.cpp
    panels/places/placesview.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinsearchbox.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
)

kde4_add_kcfg_files(dolphin_SRCS
    panels/folders/dolphin_folderspanelsettings.kcfgc
    panels/information/dolphin_informationpanelsettings.kcfgc
    panels/places/dolphin_placespanelsettings.kcfgc
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    search/dolphin_searchsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

if(NOT WIN32)
   set(dolphin_SRCS ${dolphin_SRCS} panels/terminal/terminalpanel.cpp)
endif(NOT WIN32)

kde4_add_app_icon(dolphin_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/system-file-manager.png")

kde4_add_kdeinit_executable(dolphin ${dolphin_SRCS})

target_link_libraries(kdeinit_dolphin
    ${KDE4_KDEPRINT_LIBS}
    ${KDE4_KFILE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_KCMUTILS_LIBRARY}
    konq
    dolphinprivate
    knewstuff3
    ${KDE4_SOLID_LIBS}
    ${KDE4_PHONON_LIBS}
)

if(HAVE_BALOO)
    target_link_libraries(kdeinit_dolphin
        ${BALOO_LIBRARIES}
        ${BALOO_WIDGETS_LIBRARY}
    )
endif()

if (KActivities_FOUND)
    target_link_libraries(
        kdeinit_dolphin
        ${KACTIVITIES_LIBRARY}
    )
endif (KActivities_FOUND)

install(TARGETS kdeinit_dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS dolphin ${INSTALL_TARGETS_DEFAULT_ARGS})

##########################################

set(kcm_dolphinviewmodes_PART_SRCS
    settings/kcm/kcmdolphinviewmodes.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    views/zoomlevelinfo.cpp)

set(kcm_dolphinnavigation_PART_SRCS
    settings/kcm/kcmdolphinnavigation.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/settingspagebase.cpp)

set(kcm_dolphinservices_PART_SRCS
    settings/kcm/kcmdolphinservices.cpp
    settings/services/servicessettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

set(kcm_dolphingeneral_PART_SRCS
    settings/kcm/kcmdolphingeneral.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp)

kde4_add_kcfg_files(kcm_dolphinviewmodes_PART_SRCS
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

kde4_add_kcfg_files(kcm_dolphinnavigation_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphinservices_PART_SRCS
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc)

kde4_add_kcfg_files(kcm_dolphingeneral_PART_SRCS
    settings/dolphin_generalsettings.kcfgc)

kde4_add_plugin(kcm_dolphinviewmodes ${kcm_dolphinviewmodes_PART_SRCS})
kde4_add_plugin(kcm_dolphinnavigation ${kcm_dolphinnavigation_PART_SRCS})
kde4_add_plugin(kcm_dolphinservices ${kcm_dolphinservices_PART_SRCS})
kde4_add_plugin(kcm_dolphingeneral ${kcm_dolphingeneral_PART_SRCS})

target_link_libraries(kcm_dolphinviewmodes  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinnavigation  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} dolphinprivate)
target_link_libraries(kcm_dolphinservices  ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBRARY} dolphinprivate)
target_link_libraries(kcm_dolphingeneral ${KDE4_KDEUI_LIBS} ${KDE4_KFILE_LIBS} ${KDE4_KIO_LIBS} dolphinprivate)

install(TARGETS kcm_dolphinviewmodes DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinnavigation DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphinservices DESTINATION ${PLUGIN_INSTALL_DIR} )
install(TARGETS kcm_dolphingeneral DESTINATION ${PLUGIN_INSTALL_DIR} )

#########################################

set(kio_search_PART_SRCS
    search/filenamesearchprotocol.cpp)
kde4_add_plugin(kio_filenamesearch ${kio_search_PART_SRCS})
target_link_libraries(kio_filenamesearch ${KDE4_KIO_LIBS})

=== kdepasswd/kcm/CMakeLists.txt ===
add_subdirectory(pics)

set(kcm_useraccount_PART_SRCS
    chfnprocess.cpp
    main.cpp
    chfacedlg.cpp)

kde4_add_ui_files(kcm_useraccount_PART_SRCS
    main_widget.ui
    faceDlg.ui)

kde4_add_kcfg_files(kcm_useraccount_PART_SRCS settings.kcfgc pass.kcfgc)

kde4_add_plugin(kcm_useraccount ${kcm_useraccount_PART_SRCS})

target_link_libraries(kcm_useraccount konq ${KDE4_KIO_LIBS} ${KDE4_KDESU_LIBS})

install(TARGETS kcm_useraccount DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_useraccount.desktop DESTINATION  ${SERVICES_INSTALL_DIR})
install(FILES kcm_useraccount.kcfg kcm_useraccount_pass.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== konq-plugins/babelfish/CMakeLists.txt ===
project(babelfish)

########### babelfishplugin ###############

set(babelfishplugin_PART_SRCS plugin_babelfish.cpp )

kde4_add_plugin(babelfishplugin ${babelfishplugin_PART_SRCS})

target_link_libraries(babelfishplugin  ${KDE4_KPARTS_LIBS} )

install(TARGETS babelfishplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES plugin_babelfish.rc plugin_translator.desktop  DESTINATION  ${DATA_INSTALL_DIR}/khtml/kpartplugins )
install( FILES translaterc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES plugin_babelfish.rc plugin_translator.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins )

kde4_install_icons(${ICON_INSTALL_DIR})

=== konq-plugins/quickprint/CMakeLists.txt ===

install( FILES text-print.desktop text-html-print.desktop
text-css-print.desktop                     text-ada-print.desktop
text-c++-print.desktop text-c++h-print.desktop
text-ch-print.desktop text-diff-print.desktop text-java-print.desktop
text-log-print.desktop text-makefile-print.desktop text-pas-print.desktop
text-perl-print.desktop text-python-print.desktop text-tcl-print.desktop
text-tex-print.desktop text-xslt-print.desktop text-xml-print.desktop
DESTINATION  ${SERVICES_INSTALL_DIR}/ServiceMenus )

=== konqueror/about/CMakeLists.txt ===
set(konq_aboutpage_PART_SRCS konq_aboutpage.cc)

kde4_add_plugin(konq_aboutpage ${konq_aboutpage_PART_SRCS})

target_link_libraries(konq_aboutpage ${KDE4_KHTML_LIBS} ${QT_QTGUI_LIBRARY})

install(TARGETS konq_aboutpage DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES
    box-centre-konqueror.png
    top-left-konqueror.png
    lightning.png
    launch.html
    intro.html
    specs.html
    tips.html
    plugins.html
    plugins_rtl.html
    konq.css
    DESTINATION ${DATA_INSTALL_DIR}/konqueror/about)
install(FILES konqaboutpage.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES konq_aboutpage.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== konqueror/pics/CMakeLists.txt ===
add_subdirectory( indicators )

kde4_install_icons( ${ICON_INSTALL_DIR}  )

=== konqueror/settings/CMakeLists.txt ===
KDE4_NO_ENABLE_FINAL(settings)
add_subdirectory( ebrowsing )
add_subdirectory( konq )
add_subdirectory( konqhtml )
add_subdirectory( performance )
add_subdirectory( kio )

=== dolphin/src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BUILD_DIR}/.. ${KDE4_INCLUDES} )

# needed on windows to correctly use the files from dolphinprivate
add_definitions(-DLIBDOLPHINPRIVATE_EXPORT=)

# KItemSetTest
set(kitemsettest_SRCS
    kitemsettest.cpp
    ../kitemviews/kitemset.cpp
)
kde4_add_unit_test(kitemsettest TEST ${kitemsettest_SRCS})
target_link_libraries(kitemsettest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemRangeTest
set(kitemrangetest_SRCS
    kitemrangetest.cpp
)
kde4_add_unit_test(kitemrangetest TEST ${kitemrangetest_SRCS})
target_link_libraries(kitemrangetest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemListSelectionManagerTest
set(kitemlistselectionmanagertest_SRCS
    kitemlistselectionmanagertest.cpp
    ../kitemviews/kitemlistselectionmanager.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemset.cpp
)
kde4_add_unit_test(kitemlistselectionmanagertest TEST ${kitemlistselectionmanagertest_SRCS})
target_link_libraries(kitemlistselectionmanagertest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemListControllerTest
set(kitemlistcontrollertest_SRCS
    kitemlistcontrollertest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kfileitemlistview.cpp
    ../kitemviews/kfileitemlistwidget.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemlistview.cpp
    ../kitemviews/kitemlistcontainer.cpp
    ../kitemviews/kitemlistwidget.cpp
    ../kitemviews/kitemlistviewaccessible.cpp
    ../kitemviews/kitemset.cpp
    ../kitemviews/kstandarditemlistview.cpp
    ../kitemviews/kstandarditemlistwidget.cpp
)
kde4_add_unit_test(kitemlistcontrollertest TEST ${kitemlistcontrollertest_SRCS})
target_link_libraries(kitemlistcontrollertest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KFileItemListViewTest
set(kfileitemlistviewtest_SRCS
    kfileitemlistviewtest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kfileitemlistview.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemlistview.cpp
    ../kitemviews/kitemlistviewaccessible.cpp
    ../kitemviews/kitemlistcontainer.cpp
    ../kitemviews/kitemlistwidget.cpp
    ../kitemviews/kitemset.cpp
    ../kitemviews/kstandarditemlistview.cpp
    ../kitemviews/kstandarditemlistwidget.cpp
)
kde4_add_unit_test(kfileitemlistviewtest TEST ${kfileitemlistviewtest_SRCS})
target_link_libraries(kfileitemlistviewtest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KFileItemModelTest
set(kfileitemmodeltest_SRCS
    kfileitemmodeltest.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
    ../kitemviews/kitemset.cpp
)
kde4_add_unit_test(kfileitemmodeltest TEST ${kfileitemmodeltest_SRCS})
target_link_libraries(kfileitemmodeltest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KFileItemModelBenchmark
set(kfileitemmodelbenchmark_SRCS
    kfileitemmodelbenchmark.cpp
    testdir.cpp
    ../kitemviews/kfileitemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
)
kde4_add_executable(kfileitemmodelbenchmark TEST ${kfileitemmodelbenchmark_SRCS})
target_link_libraries(kfileitemmodelbenchmark dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# KItemListKeyboardSearchManagerTest
set(kitemlistkeyboardsearchmanagertest_SRCS
    kitemlistkeyboardsearchmanagertest.cpp
    ../kitemviews/private/kitemlistkeyboardsearchmanager.cpp
)
kde4_add_unit_test(kitemlistkeyboardsearchmanagertest TEST ${kitemlistkeyboardsearchmanagertest_SRCS})
target_link_libraries(kitemlistkeyboardsearchmanagertest ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# DolphinSearchBox
if (Baloo_FOUND)
  set(dolphinsearchboxtest_SRCS
      dolphinsearchboxtest.cpp
      ../search/dolphinfacetswidget.cpp
      ../search/dolphinsearchbox.cpp
  )
  kde4_add_kcfg_files(dolphinsearchboxtest_SRCS
      ../search/dolphin_searchsettings.kcfgc
  )
  kde4_add_unit_test(dolphinsearchboxtest TEST ${dolphinsearchboxtest_SRCS})
  target_link_libraries(dolphinsearchboxtest ${KDE4_KIO_LIBS} ${BALOO_LIBRARIES} ${QT_QTTEST_LIBRARY})
endif (Baloo_FOUND)

# KStandardItemModelTest
set(kstandarditemmodeltest_SRCS
    kstandarditemmodeltest.cpp
    ../kitemviews/kstandarditem.cpp
    ../kitemviews/kstandarditemmodel.cpp
    ../kitemviews/kitemmodelbase.cpp
)
kde4_add_unit_test(kstandarditemmodeltest TEST ${kstandarditemmodeltest_SRCS})
target_link_libraries(kstandarditemmodeltest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

# ViewPropertiesTest
set(viewpropertiestest_SRCS
    viewpropertiestest.cpp
    testdir.cpp
    ../views/viewproperties.cpp
)
kde4_add_kcfg_files(viewpropertiestest_SRCS
  ../settings/dolphin_generalsettings.kcfgc
  ../settings/dolphin_directoryviewpropertysettings.kcfgc
)
kde4_add_unit_test(viewpropertiestest TEST ${viewpropertiestest_SRCS})
target_link_libraries(viewpropertiestest dolphinprivate ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

=== keditbookmarks/kbookmarkmodel/tests/CMakeLists.txt ===
include_directories( ${KDE4_KIO_INCLUDES} ../.. )
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

###### kbookmarkmodeltest ######

set(kbookmarkmodeltest_SRCS kbookmarkmodeltest.cpp)
kde4_add_unit_test(kbookmarkmodeltest ${kbookmarkmodeltest_SRCS})
target_link_libraries(kbookmarkmodeltest kbookmarkmodel_private ${KDE4_KIO_LIBS} ${QT_QTTEST_LIBRARY})

=== konq-plugins/searchbar/icons/CMakeLists.txt ===
kde4_install_icons( ${DATA_INSTALL_DIR}/konqueror/icons/  )

=== debian/changelog ===
kde-baseapps (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:24:47 +0200

kde-baseapps (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:47:12 +0200

kde-baseapps (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:50:04 +0200

=== debian/control ===
Source: kde-baseapps
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), libdlrestrictions-dev (>= 0.14),
 kdelibs5-dev (>= 4:4.13.3), libkactivities-dev (>= 4:4.13.3),
 libphonon-dev (>= 4:4.3.0),
 libqimageblitz-dev (>= 1:0.0.4-2), libxkbfile-dev,
 libstreamanalyzer-dev (>= 0.6.3),
 libxrender-dev, zlib1g-dev,
 libxt-dev, pkg-config, libglib2.0-dev, shared-desktop-ontologies (>= 0.8),
 libtidy-dev, libkfilemetadata-dev (>= 4:4.13.3),
 baloo-dev (>= 4:4.13.3), libbaloowidgets-dev (>= 4:4.13.3)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde-baseapps.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde-baseapps.git

Package: kde-baseapps
Architecture: all
Depends: ${misc:Depends},
 dolphin (>= ${source:Version}),
 kde-baseapps-bin (>= ${source:Version}),
 kdepasswd (>= ${source:Version}),
 kfind (>= ${source:Version}), 
 konqueror (>= ${source:Version}),
 konsole, 
 kwrite,
 plasma-widget-folderview (>= ${source:Version})
Recommends: konqueror-nsplugins (>= ${source:Version})
Breaks: kdebase-apps (<< 4:4.7.2)
Replaces: kdebase-apps (<< 4:4.7.2)
Description: base applications from the official KDE release (meta-package)
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This package provides core applications for the KDE 4 desktop.

Package: kdebase-apps
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-baseapps, ${misc:Depends}
Description: Transitional package for kde-baseapps
 This transitional package takes care of pulling in the new kde-baseapps
 package and can safely be removed after installation.

Package: dolphin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ruby
Suggests: kdesdk-dolphin-plugins
Description: file manager 
 Dolphin is the default file manager in the KDE Plasma Workspaces, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags
 .
 This package is part of the KDE base applications module.

Package: kde-baseapps-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
Breaks: kdesktop, kcontrol, kdebase-bin (<< 4:4.7.2)
Replaces: kdebase-bin (<< 4:4.7.2)
Description: core binaries for the KDE base applications
 This package contains miscellaneous programs needed by other KDE
 applications, particularly those in the KDE base module.
 .
 This package is part of the KDE base applications module.

Package: kdebase-bin
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, kde-baseapps-bin
Description: Transitional package for new kde-baseapps
 This transitional package can be safely removed after installation.

Package: kde-baseapps-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
Replaces: kdebase-data (<< 4:4.7.2), dolphin (<< 4:4.6.80), konqueror (<< 4:4.6.80)
Description: shared data files for the KDE base applications
 This package contains the architecture-independent shared data files needed
 for a basic KDE 4 desktop installation.
 .
 This package is part of the KDE 4 base applications module.

Package: kdepasswd
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version})
Description: graphical password changing utility
 kdepasswd allows users to change their password, user icon, and other
 information.  A variety of user icons are included.
 .
 This package is part of the KDE base applications module.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file search utility 
 KFind can be used to find files and directories on your system.
 .
 This package is part of the KDE base applications module.

Package: konqueror
Section: web
Architecture: any
Provides: info-browser, man-browser, www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-data (= ${source:Version}),
 kde-baseapps-bin (= ${binary:Version}), install-info
Suggests: konq-plugins (>= 4:4.1~)
Recommends: konqueror-nsplugins (= ${binary:Version}), dolphin, kfind
Breaks: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.9)
Replaces: kdebase-data (<< 4:4.7.2), kde-baseapps-data (<< 4:4.9)
Description: advanced file manager, web browser and document viewer
 Konqueror is the KDE web browser and advanced file manager.
 .
 Konqueror is a standards-compliant web browser, supporting HTML 4.01, Java,
 JavaScript, CSS3, and Netscape plugins such as Flash.
 .
 It supports advanced file management on local UNIX filesystems, with flexible
 views, network transparency, and embedded file viewing.
 .
 It is the canvas for many KDE technologies, from remote file access via KIO to
 component embedding via the KParts object interface, making it one of the most
 customizable applications available.
 .
 This package is part of the KDE base applications module.

Package: konqueror-nsplugins
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gtk-qt-engine (<< 1:1.0)
Description: Netscape plugin support for Konqueror
 Konqueror is the KDE web browser and advanced file manager.
 .
 This package provides a KDE component for enabling the use of
 Netscape/Mozilla/etc browser plugins (such as Adobe Flash) within Konqueror.
 .
 This package is part of the KDE base applications module.

Package: konq-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konqueror (>= 4:4.1.0),
 python, libjpeg-progs
Enhances: konqueror
Recommends: imagemagick
Description: plugins for Konqueror, the KDE file/web/document browser
 This package contains a variety of useful plugins for Konqueror, the
 file manager, web browser and document viewer for KDE.  Many of these
 plugins will appear in Konqueror's Tools menu.
 .
 Web navigation plugins:
  - Akregator feed icon: allows one to add a feed to Akregator from Konqueror
  - Auto Refresh: refresh a webpage at a given rate
  - Bookmarklets: enables the use of bookmarklets, bookmarks containing
    JavaScript code
  - Document Relations: displays the document relations of a document
  - DOM Tree Viewer: view the DOM tree of the current page
  - KHTML Settings: fast way to change the JavaScript/images/cookies settings
  - Microformat Icon: displays an icon in the statusbar if the page contains
    a microformat
  - Search Bar: launches web searches from the Konqueror's toolbar
  - Translate: language translation for the current page using Babelfish
  - UserAgent Changer: quick switch of the UserAgent used for the current site
  - Website Validators: CSS and HTML validation tools
  - Web Archiver: creates archives of websites
  - Crash manager: restores your opened tabs if Konqueror crashes (disabled
    by default as Konqueror has this feature builtin)
 .
 File management plugins:
  - Image Gallery: an easy way to generate a HTML image gallery
  - File Size View (kpart): a proportional view of directories and files
    based on file size
  - Transform Image (service menu): rotate and flip images
  - Convert To (service menu): convert and image to another format
  - Directory Filter (dolphin): filter directory views
 .
 This package is part of the KDE base applications module.

#Package: konsole
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Provides: x-terminal-emulator
#Breaks: yakuake (<< 2.9.0)
#Description: X terminal emulator
# Konsole is a terminal emulator built on the KDE Platform. It can contain
# multiple terminal sessions inside one window using detachable tabs.
# .
# Konsole supports powerful terminal features, such as customizable schemes,
# saved sessions, and output monitoring.
# .
# This package is part of the KDE base applications module.

#Package: kwrite
#Section: editors
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: simple graphical text editor
# KWrite is a simple text editor built on the KDE Platform. It uses the Kate
# editor component, so it supports powerful features such as flexible syntax
# highlighting, automatic indentation, and numerous other text tools.
# .
# This package is part of the KDE base applications module.

Package: libkonq5abi1
Section: libs
Architecture: any
X-Debian-ABI: 1
Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq-common (>= ${binary:Version})
Description: core libraries for Konqueror
 This package contains libraries used by several KDE 4 applications,
 particularly Konqueror.
 .
 This package is part of the KDE base applications module.

Package: libkonq-common
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkonq5-templates
Replaces: libkonq5 (<< 4:4.4.5-3)
Breaks: libkonq5 (<< 4:4.4.5-3)
Description: core Konqueror library - support files
 This package contains plugins and data files used by the core Konqueror
 library (libkonq).
 .
 This package is part of the KDE base applications module.

Package: libkonq5-templates
Section: libs
Architecture: all
Replaces: kdesktop
Breaks: kdesktop
Depends: ${misc:Depends}
Description: data files for the Konqueror libraries
 This package contains data files used by the Konqueror libraries.
 These files are also provided by the 'kdesktop' package from KDE 3.
 .
 This package is part of the KDE base applications module.

Package: libkonq5-dev
Section: libdevel
Architecture: any
Depends: libkonq5abi1 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkonq5abi1}, ${misc:Depends}
Description: development files for the Konqueror libraries
 This package contains development files for building software that uses the
 Konqueror libraries.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin4a
Section: libs
Architecture: any
X-Debian-ABI: 0
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: konqueror sidebar plugin library
 This package contains base library for Konqueror sidebar plugins.
 .
 This package is part of the KDE base applications module.

Package: libkonqsidebarplugin-dev
Section: libdevel
Architecture: any
Depends: libkonqsidebarplugin4a (= ${binary:Version}),
 ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}, ${misc:Depends}
Description: konqueror sidebar plugin library development files
 This package contains development headers for the Konqueror sidebar plugin
 library.
 .
 This package is part of the KDE base applications module.

Package: plasma-widget-folderview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widget showing the content of a folder
 This package contains the Folder View Plasma widget which is capable of
 displaying and managing contents of any KDE supported location. It can be used

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kde-baseapps-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kde-baseapps-([\d\.]*).tar.xz
